/*
 * Some functions that aren't implemented on every machine on the net
 */

#include <string.h>
#include "Malloc.h"  /*** For NULL ***/

/*** For machines that don't have strstr ***/

#if defined(NOSTRSTR) || defined(mips) || defined(sequent) || defined(n16)

char *
strstr(host_name, cp)
  char host_name[256];
  char *cp;
{
     int i, j;

     for (i = 0; i < strlen(host_name); i++) {
          j = strncmp(host_name+i, cp, strlen(cp));
          if (j == 0)
               return(host_name+i);
     }
     return(NULL);
}
#endif

#if defined(sequent)

#include <varargs.h>
vsprintf(va_alist)
  va_dcl
{
        ;
}

vfprintf(va_alist)
  va_dcl
{
        ;
}


#endif
